Authorization Manager Get Privilege List

Authorization Manager Get Privilege List
The list of system-defined privileges.

The list of system-defined privileges.

Required privileges: System.View

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/AuthorizationManager/{moId}/privilegeList
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case AuthorizationManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "privId": "string",
        "onParent": false,
        "name": "string",
        "privGroupName": "string"
    }
]
array of object
Optional

This data object type provides access to some aspect of the system.

Privileges are generally independent. This means a user with a privilege usually can perform an associated set of actions without needing any additional supporting privileges.

Within each product version, privileges do not change. See AuthorizationDescription for detailed information on the privileges defined by the system.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/AuthorizationManager/{moId}/privilegeList